%define base_name	kde-styles
%define theme_name	linspireclear
%define name		%base_name-%theme_name

Name: %name
Version: 1.11
Release: alt3

Group: Graphical desktop/KDE
Summary: Linspire's clear style for KDE
License: GPL
Source: http://software.linspire.com/pool-src/los/los-linspireclear-style/los-linspireclear-style_1.11-0.0.0.50.linspire0.1.tar.gz
Patch0: linspireclear-alt-makefile.patch

BuildRequires: gcc-c++ kdebase-devel kdelibs-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel xml-utils
BuildRequires: zlib-devel

%description
Another flat style and windeco for KDE 3.x

%prep
%setup -q -n marlin_build_los-linspireclear-style-1
%patch0 -p1

%make -f Makefile.cvs

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%__subst 's,\.la,.so,g' configure

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%files
%doc README AUTHORS COPYING
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/styles/linspireclear.*
%_datadir/apps/kdisplay/color-schemes/linspireclear.kcsrc
%_datadir/apps/kdisplay/color-schemes/linspiresharp.kcsrc
%_datadir/apps/kstyle/themes/%theme_name.themerc
%_datadir/apps/kwin/%theme_name.desktop

%changelog
* Mon Mar 20 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.11-alt3
makefile fix

* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.11-alt2
- BuildRequires fix

* Wed May 11 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.11-alt1
- build for sisyphus

